Extending Qt Creator Manual | KitManager

Extending Qt Creator Manual 4.5.2

# KitManager Class

(ProjectExplorer::KitManager)

- List of all members, including inherited members

## Public Functions

| ~KitManager() override

## Signals

void | defaultkitChanged()
void | kitAdded(ProjectExplorer::Kit *)
void | kitRemoved(ProjectExplorer::Kit *)
void | kitUpdated(ProjectExplorer::Kit *)
void | kitsChanged()
void | kitsLoaded()
void | unmanagedKitUpdated(ProjectExplorer::Kit *)

## Static Public Members

QSet<Core::Id> | availableFeatures(Core::Id platformId)
Internal::KitManagerConfigWidget * | createConfigWidget(Kit *k)
Kit * | defaultKit()
void | deleteKit(Kit *k)
void | deregisterKit(Kit *k)
void | deregisterKitInformation(KitInformation *ki)
KitManager * | instance()
bool | isLoaded()
Kit * | kit(const Kit::Predicate &predicate)
Kit * | kit(Core::Id id)
QList<KitInformation *> | kitInformation()
QList<Kit *> | kits(const Kit::Predicate &predicate = Kit::Predicate())
bool | registerKit(Kit *k)
void | registerKitInformation(KitInformation *ki)
void | saveKits()
void | setDefaultKit(Kit *k)
QList<Kit *> | sortKits(const QList<Kit *> kits)
QSet<Core::Id> | supportedPlatforms()

## Member Function Documentation

### KitManager::~KitManager()

Destroys the instance of KitManager.

### `[static]` QSet<Core::Id> KitManager::availableFeatures(Core::Id platformId)

### `[static]` Internal::KitManagerConfigWidget *KitManager::createConfigWidget(Kit *k)

### `[static]` Kit *KitManager::defaultKit()

See also setDefaultKit().

### `[signal]` void KitManager::defaultkitChanged()

### `[static]` void KitManager::deleteKit(Kit *k)

### `[static]` void KitManager::deregisterKit(Kit *k)

### `[static]` void KitManager::deregisterKitInformation(KitInformation *ki)

### `[static]` KitManager *KitManager::instance()

### `[static]` bool KitManager::isLoaded()

### `[static]` Kit *KitManager::kit(const Kit::Predicate &predicate)

### `[static]` Kit *KitManager::kit(Core::Id id)

### `[signal]` void KitManager::kitAdded(ProjectExplorer::Kit *)

### `[static]` QList<KitInformation *> KitManager::kitInformation()

### `[signal]` void KitManager::kitRemoved(ProjectExplorer::Kit *)

### `[signal]` void KitManager::kitUpdated(ProjectExplorer::Kit *)

### `[static]` QList<Kit *> KitManager::kits(const Kit::Predicate &predicate = Kit::Predicate())

### `[signal]` void KitManager::kitsChanged()

### `[signal]` void KitManager::kitsLoaded()

### `[static]` bool KitManager::registerKit(Kit *k)

### `[static]` void KitManager::registerKitInformation(KitInformation *ki)

### `[static]` void KitManager::saveKits()

### `[static]` void KitManager::setDefaultKit(Kit *k)

See also defaultKit().

### `[static]` QList<Kit *> KitManager::sortKits(const QList<Kit *> kits)

### `[static]` QSet<Core::Id> KitManager::supportedPlatforms()

### `[signal]` void KitManager::unmanagedKitUpdated(ProjectExplorer::Kit *)